# vaultwarden-ldap

Custom image for the Vaultwarden LDAP connector

[![Build Status](https://img.shields.io/drone/build/docker/vaultwarden-ldap?logo=drone&server=https%3A%2F%2Fdrone.rknet.org)](https://drone.rknet.org/docker/vaultwarden-ldap)
[![Docker Hub](https://img.shields.io/badge/dockerhub-latest-blue.svg?logo=docker&logoColor=white)](https://hub.docker.com/r/thegeeklab/vaultwarden-ldap)
[![Quay.io](https://img.shields.io/badge/quay-latest-blue.svg?logo=docker&logoColor=white)](https://quay.io/repository/thegeeklab/vaultwarden-ldap)
[![Source: Gitea](https://img.shields.io/badge/source-gitea-blue.svg?logo=gitea&logoColor=white)](https://gitea.rknet.org/docker/vaultwarden-ldap)
[![License: MIT](https://img.shields.io/badge/license-MIT-blue.svg)](https://gitea.rknet.org/docker/vaultwarden-ldap/src/branch/main/LICENSE)

This is a rootless custom Docker image for [vaultwarden_ldap](https://github.com/ViViDboarder/vaultwarden_ldap) a simple LDAP connector for vaultwarden.

## Usage

### Docker Compose

Please take a look at the [example](https://gitea.rknet.org/docker/vaultwarden-ldap/src/branch/main/docker-compose.yml) compose file from the git repo.

## Configuration

```Shell
VAULTWARDEN_LDAP_VAULTWARDEN_URL=
VAULTWARDEN_LDAP_VAULTWARDEN_ADMIN_TOKEN=
VAULTWARDEN_LDAP_VAULTWARDEN_ROOT_CERT_FILE=

VAULTWARDEN_LDAP_HOST=
VAULTWARDEN_LDAP_SCHEME=
VAULTWARDEN_LDAP_SSL=True
VAULTWARDEN_LDAP_SSL_VERIFY=True
VAULTWARDEN_LDAP_PORT=
VAULTWARDEN_LDAP_BIND_DN=
VAULTWARDEN_LDAP_BIND_PASSWORD=
VAULTWARDEN_LDAP_SEARCH_BASE_DN=
VAULTWARDEN_LDAP_SEARCH_FILTER="(&(objectClass=*)(uid=*))"
VAULTWARDEN_LDAP_MAIL_FIELD=mail
VAULTWARDEN_LDAP_SYNC_INTERVAL_SECONDS=60
VAULTWARDEN_LDAP_SYNC_LOOP=True
```

## License

This project is licensed under the MIT License - see the [LICENSE](https://gitea.rknet.org/docker/vaultwarden-ldap/src/branch/main/LICENSE) file for details.
